#!/bin/bash
am start com.tencent.igce/com.epicgames.ue4.SplashActivity
function print_color() {
  local color=$1
  shift
  echo -e "\033[${color}m$@\033[0m"
}

# 检查用户是否为root用户
if [ $(id -u) != 0 ]; then
    echo "\n请使用Root权限执行 !"
    exit 1
fi

sleep 0.3

cp -f libMczi.so /data/data/com.tencent.igce/
chmod 755 /data/data/com.tencent.igce/libMczi.so*

cp -f inject /data/data/com.tencent.igce/
chmod 777 /data/data/com.tencent.igce/inject*

# 检查文件是否存在并且权限为755
if [ -f /data/data/com.tencent.igce/libMczi.so ] && [ "$(stat -c '%a' /data/data/com.tencent.igce/libMczi.so)" = "755" ]; then
    echo "[+] 动态库文件正常"
else
    echo "[-] 动态库文件不正确"
    exit 1
fi

if [ -f /data/data/com.tencent.igce/inject ] && [ "$(stat -c '%a' /data/data/com.tencent.igce/inject)" = "777" ]; then
    echo "[+] 劫持文件正常"
else
    echo "[-] 劫持文件不正确"
    exit 1
fi

echo -e "\n"
print_color 41 "TG@MUCZiYYDS"
print_color 41 "准备完毕!"

echo -e "\n"



sleep 2.0

echo -e "\n"

su -c /data/data/com.tencent.igce/inject -n com.tencent.igcece -so /data/data/com.tencent.igce/libMczi.so